<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/SingleUse/ActionTurnOnWeaponFlashlight.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d6c/_action_turn_on_weapon_flashlight_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionTurnOnWeaponFlashlight.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/d6c/_action_turn_on_weapon_flashlight_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d5/d77/class_action_turn_on_weapon_flashlight.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d5/d77/class_action_turn_on_weapon_flashlight.html">ActionTurnOnWeaponFlashlight</a>: <a class="code hl_class" href="../../d1/d91/class_action_single_use_base.html">ActionSingleUseBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d5/d77/class_action_turn_on_weapon_flashlight.html#aff8c870973df1210055fc2ed0f066d06">    3</a></span>    <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> <a class="code hl_variable" href="../../d5/d77/class_action_turn_on_weapon_flashlight.html#aff8c870973df1210055fc2ed0f066d06">m_flashlight</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d5/d77/class_action_turn_on_weapon_flashlight.html#adadd10c4875095086974bdff02835349">    5</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d77/class_action_turn_on_weapon_flashlight.html#adadd10c4875095086974bdff02835349">ActionTurnOnWeaponFlashlight</a>()</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    {</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONMOD_ITEM_ON;<span class="comment">//CMD_ACTIONMOD_INTERACTONCE</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> = <span class="stringliteral">&quot;#switch_on&quot;</span>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    }</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d5/d77/class_action_turn_on_weapon_flashlight.html#a22729986ec7d5b86cda01720ec3adab6">   11</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d77/class_action_turn_on_weapon_flashlight.html#a22729986ec7d5b86cda01720ec3adab6">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    {   </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/dbf/class_c_c_t_none.html">CCTNone</a>;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    }</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d5/d77/class_action_turn_on_weapon_flashlight.html#a95db322112d9ad45dc68068989dc5458">   17</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/d77/class_action_turn_on_weapon_flashlight.html#a95db322112d9ad45dc68068989dc5458">HasTarget</a>()</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    }</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d5/d77/class_action_turn_on_weapon_flashlight.html#a3a4ea8d8a44043357261bded07344e2d">   22</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/d77/class_action_turn_on_weapon_flashlight.html#a3a4ea8d8a44043357261bded07344e2d">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <span class="keywordflow">if</span> ( item.IsInherited(<a class="code hl_class" href="../../dd/d79/class_rifle___base.html">Rifle_Base</a>) )</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>            <span class="comment">//m_CommandUID = DayZPlayerConstants.CMD_ACTIONMOD_LIGHTFLARE;</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            <a class="code hl_variable" href="../../d5/d77/class_action_turn_on_weapon_flashlight.html#aff8c870973df1210055fc2ed0f066d06">m_flashlight</a> = <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(item.FindAttachmentBySlotName(<span class="stringliteral">&quot;weaponFlashlight&quot;</span>));</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (item.IsInherited(<a class="code hl_class" href="../../d2/d5e/class_pistol___base.html">Pistol_Base</a>))</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            <span class="comment">//m_CommandUID = DayZPlayerConstants.CMD_ACTIONMOD_LITCHEMLIGHT;</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            <a class="code hl_variable" href="../../d5/d77/class_action_turn_on_weapon_flashlight.html#aff8c870973df1210055fc2ed0f066d06">m_flashlight</a> = <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(item.FindAttachmentBySlotName(<span class="stringliteral">&quot;pistolFlashlight&quot;</span>));</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <span class="keywordflow">else</span> <span class="comment">//is not valid item</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d5/d77/class_action_turn_on_weapon_flashlight.html#aff8c870973df1210055fc2ed0f066d06">m_flashlight</a> &amp;&amp; <a class="code hl_variable" href="../../d5/d77/class_action_turn_on_weapon_flashlight.html#aff8c870973df1210055fc2ed0f066d06">m_flashlight</a>.HasEnergyManager() &amp;&amp; <a class="code hl_variable" href="../../d5/d77/class_action_turn_on_weapon_flashlight.html#aff8c870973df1210055fc2ed0f066d06">m_flashlight</a>.GetCompEM().CanSwitchOn() &amp;&amp; <a class="code hl_variable" href="../../d5/d77/class_action_turn_on_weapon_flashlight.html#aff8c870973df1210055fc2ed0f066d06">m_flashlight</a>.GetCompEM().CanWork() ) <span class="comment">//TODO review conditions for turning off</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d5/d77/class_action_turn_on_weapon_flashlight.html#afee0b8a61e1187281c3d6fb7a298abd2">   45</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d77/class_action_turn_on_weapon_flashlight.html#afee0b8a61e1187281c3d6fb7a298abd2">OnExecuteServer</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d5/d77/class_action_turn_on_weapon_flashlight.html#aff8c870973df1210055fc2ed0f066d06">m_flashlight</a>.HasEnergyManager() )</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        {</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>            <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d5/d77/class_action_turn_on_weapon_flashlight.html#aff8c870973df1210055fc2ed0f066d06">m_flashlight</a>.GetCompEM().CanWork() )</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>            {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>                <a class="code hl_variable" href="../../d5/d77/class_action_turn_on_weapon_flashlight.html#aff8c870973df1210055fc2ed0f066d06">m_flashlight</a>.GetCompEM().SwitchOn();</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            <a class="code hl_class" href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>).FlashlightOn();  <span class="comment">//currently seems to be doing nothing</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>};</div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_adbe781e3bcf840ec9eeaa2d0d005eb6f"><div class="ttname"><a href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">ActionData::m_MainItem</a></div><div class="ttdeci">ItemBase m_MainItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00028">ActionBase.c:28</a></div></div>
<div class="ttc" id="aclass_action_single_use_base_html"><div class="ttname"><a href="../../d1/d91/class_action_single_use_base.html">ActionSingleUseBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d93/_action_single_use_base_8c_source.html#l00041">ActionSingleUseBase.c:42</a></div></div>
<div class="ttc" id="aclass_action_turn_on_weapon_flashlight_html"><div class="ttname"><a href="../../d5/d77/class_action_turn_on_weapon_flashlight.html">ActionTurnOnWeaponFlashlight</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6c/_action_turn_on_weapon_flashlight_8c_source.html#l00001">ActionTurnOnWeaponFlashlight.c:2</a></div></div>
<div class="ttc" id="aclass_action_turn_on_weapon_flashlight_html_a22729986ec7d5b86cda01720ec3adab6"><div class="ttname"><a href="../../d5/d77/class_action_turn_on_weapon_flashlight.html#a22729986ec7d5b86cda01720ec3adab6">ActionTurnOnWeaponFlashlight::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6c/_action_turn_on_weapon_flashlight_8c_source.html#l00011">ActionTurnOnWeaponFlashlight.c:11</a></div></div>
<div class="ttc" id="aclass_action_turn_on_weapon_flashlight_html_a3a4ea8d8a44043357261bded07344e2d"><div class="ttname"><a href="../../d5/d77/class_action_turn_on_weapon_flashlight.html#a3a4ea8d8a44043357261bded07344e2d">ActionTurnOnWeaponFlashlight::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6c/_action_turn_on_weapon_flashlight_8c_source.html#l00022">ActionTurnOnWeaponFlashlight.c:22</a></div></div>
<div class="ttc" id="aclass_action_turn_on_weapon_flashlight_html_a95db322112d9ad45dc68068989dc5458"><div class="ttname"><a href="../../d5/d77/class_action_turn_on_weapon_flashlight.html#a95db322112d9ad45dc68068989dc5458">ActionTurnOnWeaponFlashlight::HasTarget</a></div><div class="ttdeci">override bool HasTarget()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6c/_action_turn_on_weapon_flashlight_8c_source.html#l00017">ActionTurnOnWeaponFlashlight.c:17</a></div></div>
<div class="ttc" id="aclass_action_turn_on_weapon_flashlight_html_adadd10c4875095086974bdff02835349"><div class="ttname"><a href="../../d5/d77/class_action_turn_on_weapon_flashlight.html#adadd10c4875095086974bdff02835349">ActionTurnOnWeaponFlashlight::ActionTurnOnWeaponFlashlight</a></div><div class="ttdeci">void ActionTurnOnWeaponFlashlight()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6c/_action_turn_on_weapon_flashlight_8c_source.html#l00005">ActionTurnOnWeaponFlashlight.c:5</a></div></div>
<div class="ttc" id="aclass_action_turn_on_weapon_flashlight_html_afee0b8a61e1187281c3d6fb7a298abd2"><div class="ttname"><a href="../../d5/d77/class_action_turn_on_weapon_flashlight.html#afee0b8a61e1187281c3d6fb7a298abd2">ActionTurnOnWeaponFlashlight::OnExecuteServer</a></div><div class="ttdeci">override void OnExecuteServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6c/_action_turn_on_weapon_flashlight_8c_source.html#l00045">ActionTurnOnWeaponFlashlight.c:45</a></div></div>
<div class="ttc" id="aclass_action_turn_on_weapon_flashlight_html_aff8c870973df1210055fc2ed0f066d06"><div class="ttname"><a href="../../d5/d77/class_action_turn_on_weapon_flashlight.html#aff8c870973df1210055fc2ed0f066d06">ActionTurnOnWeaponFlashlight::m_flashlight</a></div><div class="ttdeci">ItemBase m_flashlight</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6c/_action_turn_on_weapon_flashlight_8c_source.html#l00003">ActionTurnOnWeaponFlashlight.c:3</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a00487cccdebc5bf70af1b0c8d9ed3660"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">AnimatedActionBase::m_CommandUID</a></div><div class="ttdeci">protected int m_CommandUID</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00125">AnimatedActionBase.c:125</a></div></div>
<div class="ttc" id="aclass_c_c_i_non_ruined_html"><div class="ttname"><a href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d96/_c_c_i_non_ruined_8c_source.html#l00001">CCINonRuined.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_none_html"><div class="ttname"><a href="../../d2/dbf/class_c_c_t_none.html">CCTNone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d1b/_c_c_t_none_8c_source.html#l00001">CCTNone.c:2</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00691">InventoryItem.c:692</a></div></div>
<div class="ttc" id="aclass_pistol___base_html"><div class="ttname"><a href="../../d2/d5e/class_pistol___base.html">Pistol_Base</a></div><div class="ttdoc">base for semi auto weapons @NOTE name copies config base class</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd0/_pistol_alt___base_8c_source.html#l00001">PistolAlt_Base.c:2</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_rifle___base_html"><div class="ttname"><a href="../../dd/d79/class_rifle___base.html">Rifle_Base</a></div><div class="ttdoc">base for rifles @NOTE name copies config base class</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/daa/_s_k_s_8c_source.html#l00069">SKS.c:70</a></div></div>
<div class="ttc" id="aclass_weapon___base_html"><div class="ttname"><a href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a></div><div class="ttdoc">shorthand</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d62/_bolt_action_rifle___base_8c_source.html#l00005">BoltActionRifle_Base.c:6</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_10c38a35488a6c6e18a576a925896ff8.html">SingleUse</a></li><li class="navelem"><a class="el" href="../../d7/d6c/_action_turn_on_weapon_flashlight_8c.html">ActionTurnOnWeaponFlashlight.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
